EDIT - feature request #7428

Open issues for updating open data while subtree is updated
05/17/2018 09:15 PM - Andreas Mdller

Status: Closed Start date:

Priority: Highest Due date:

Assignee: Katja Luther % Done: 100%
Category: taxeditor Estimated time: 0:00 hour
Target version: Release 5.6

Severity: normal

Description

copied from #7065

e Open name editors are not checked for existing changes. When they are closed changes get lost. This is unwanted. Ask for
saving before operation starts.
¢ Only name editors are updated but not e.g. bulk editors.

Related issues:
Copied from EDIT - feature request #7065: When updating a subtree the affecte... Closed

Associated revisions

Revision 4fff2d21 - 03/13/2019 09:56 AM - Katja Luther

fix #7428: ask for saving and update open views for subtree operations

Revision 123796a3 - 03/13/2019 04:00 PM - Katja Luther
ref #7428: move updateViews into AbstractUtility

Revision d9f54449 - 03/14/2019 01:37 PM - Katja Luther
ref #7428: updateEditors method in AbstractUtility class

Revision 630c2c5d - 03/19/2019 02:11 PM - Katja Luther

ref #7428: fix selection for updated titlecache

Revision 86128971 - 03/20/2019 09:56 AM - Katja Luther

fix #7428: use eventbus for propagating update information

Revision 9e1446d2 - 03/27/2019 03:45 PM - Katja Luther

ref #7428: update all name editors involved when executing subtree operations

Revision 032b62c4 - 03/27/2019 03:46 PM - Katja Luther

ref #7428: update all name editors involved when executing subtree operations

Revision 78bbc734 - 04/04/2019 04:32 PM - Katja Luther

update bulkeditor if element of list of taxa contained in model

History

#1 - 05/17/2018 09:15 PM - Andreas Miiller

- Copied from feature request #7065: When updating a subtree the affected and opened taxa are not updated in name editor this needs to be handled
added

#2 - 06/28/2018 12:08 AM - Andreas Miiller

- Target version changed from Release 5.1 to Release 5.2

#3 - 08/17/2018 03:53 PM - Andreas Miller

- Target version changed from Release 5.2 to Release 5.3
#4 - 09/06/2018 08:54 PM - Katja Luther

- Target version changed from Release 5.3 to Release 5.4

#5 - 10/23/2018 10:39 AM - Andreas Miiller

- Target version changed from Release 5.4 to Release 5.5

#6 - 02/19/2019 02:44 PM - Andreas Miiller

- Target version changed from Release 5.5 to Release 5.6

#7 - 02/22/2019 10:08 AM - Katja Luther
- Priority changed from New to Highest

#8 - 03/13/2019 09:57 AM - Katja Luther
- Status changed from New to Resolved

- % Done changed from 0 to 50

Applied in changeset taxeditor|4fff2d21dfed4ae1ba6c5106e7d59cdf2e82548¢.

#9 - 03/19/2019 02:30 PM - Katja Luther

- Assignee changed from Katja Luther to Patrick Plitzner

please review.
Bulkeditor and nameeditor are updated.

#10 - 04/03/2019 03:47 PM - Patrick Plitzner
- File picture547-1.png added
- File picture547-2.png added
- Status changed from Resolved to Feedback

- Assignee changed from Patrick Plitzner to Katja Luther

Tested on nightly.
» Auch eine Klassification

» Classification (Import) Title Cache | Mein Name* Search
» Default Classification Specimen Import
» Default Classification Specimen Import2 “3 Publish Type 1d Uuid
e Ask for saving before operation starts. -> this is fixed
e Only name editors are updated but not e.g. bulk editors. -> bulk editors are not updated

| opened a taxon in the name editor and in the bulk editor. Then | changed the sec reference.
The name editor was closed and re-opened but the bulk editor did not change still showing the old sec reference in the details view. Even worse,
when running the search again, the title cache shows correctly in the bulk editor and in the details view but the "Secundum" still has the old value.

Taxa I3 g,; Mein name Mill, A., nom. illeg.

= 0 [&f Details &

= Taxon: Mein name Mill, A., nom. illeg., sec. Rad Jugoslav. Akad. Znan.

Title Cache  Mein Name* Search || [ Title Cache
Appended Phrase
- Publish Type d Uuid Secundum Watsonia
% Taxon 17173 00745d2a-4fb Detail

2 Mein name f, werte sec. Rad Jugoslav. Akad. Znan. Taxon 17202 ffd3612a-e51. Exclude Authorship

3 Mein name subsp. childeins sec. Rad Jugoslav. Akad. Z... v Taxon 17191 2ee79f6c-5ef., Taxon is doubtful

4 Mein name subsp. nom sec. Rad Jugoslav. Akad. Znan. v Taxon 17203 485b9933-2bf Taxon is published (B

5 Mein name subsp. oje sec. Rad Jugoslav. Akad. Znan. ¥ Taxon 17192 0bfdb996-459 _

6 Mein name var. wert sec. Rad Jugoslav. Akad. Znan. Taxon 17201 c7f8cafc-begn ||~ Name: Mein name Mill, A.

Cache
Nomenclatural Code
Lsid

~ Scientific Name: Mein name

Closing and re-opening the bulk editor solved this problem and now everything is shown correctly.

#11 - 04/05/2019 10:04 AM - Katja Luther

- Assignee changed from Katja Luther to Patrick Plitzner

L&D

there was an update yesterday (Revision 78bbc734), maybe you tested before? | tested again on nightly and the bulkeditor was updated correctly.

#12 - 04/05/2019 11:26 AM - Patrick Plitzner
- Status changed from Feedback to Resolved
- Assignee changed from Patrick Plitzner to Andreas Muiller

- % Done changed from 50 to 80

| tested again just now and it works as expected. The bulk editor also updates correctly

#13 - 04/08/2019 06:53 PM - Andreas Miiller
- Status changed from Resolved to Closed

- Assignee changed from Andreas Muiller to Katja Luther

| tested with publish flag. It also worked for both name editor and bulk editor.

#14 - 04/08/2019 06:53 PM - Andreas Miiller
- % Done changed from 80 to 100

Files
picture547-1.png 142 KB 04/03/2019 Patrick Plitzner
picture547-2.png 78.5 KB 04/03/2019 Patrick Plitzner
